Name:		yagf
Version:	0.9.5
Release:	%mkrel 11
Summary:	Graphical front-end for cuneiform and tesseract
License:	GPLv3+
Group:		Office/Utilities
URL:		https://sourceforge.net/projects/yagf-ocr
# qt5 branch 2015-02-24
Source0:	https://sourceforge.net/projects/yagf-ocr/files/%{name}-%{version}.tar.gz
# from Debian (https://sourceforge.net/p/yagf-ocr/tickets/66)
Source1:	%{name}.1
# fix .desktop file (https://sourceforge.net/p/yagf-ocr/tickets/67)
Patch0:		%{name}-0.9.1-Source-desktop-fdr.patch
# https://sourceforge.net/p/yagf-ocr/tickets/67
Patch1:		%{name}-0.9.4.2-mga-i18n-desktop.patch
# https://sourceforge.net/p/yagf-ocr/tickets/50
Patch2:		%{name}-0.9.4.2-mga-disable-crop-image-when-loaded.patch
# https://sourceforge.net/p/yagf-ocr/tickets/55
Patch3:		%{name}-0.9.5-mga-qt5.patch
# https://sourceforge.net/p/yagf-ocr/tickets/68
Patch4:		%{name}-0.9.5-mga-del-online-help.patch
# https://sourceforge.net/p/yagf-ocr/tickets/69
Patch5:		%{name}-0.9.5-mga-configdialog.patch
# https://sourceforge.net/p/yagf-ocr/tickets/70
Patch6:		%{name}-0.9.5-mga-uk.patch
# https://sourceforge.net/p/yagf-ocr/code/merge-requests/1
Patch7:		%{name}-0.9.5-do-not-crash-when-specific-aspell-dictionary-is-not-found.patch
# https://sourceforge.net/p/yagf-ocr/tickets/61
Patch8:		%{name}-0.9.5-mga-application-size.patch
# https://sourceforge.net/p/yagf-ocr/tickets/71
Patch9:		%{name}-0.9.5-mga-i18n.patch
# https://sourceforge.net/p/yagf-ocr/tickets/72
Patch10:	%{name}-0.9.5-fdr-mga-nothreads.patch
# https://sourceforge.net/p/yagf-ocr/tickets/73
Patch11:	%{name}-0.9.5-fdr-mga-mainform-unistd.patch
# https://sourceforge.net/p/yagf-ocr/tickets/74
Patch12:	%{name}-0.9.5-add-chinese.patch
Patch13:	%{name}-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	aspell-devel
Requires:	cuneiform-linux
Requires:	tesseract
Recommends:	poppler
Recommends:	ghostscript
Recommends:	xsane
Recommends:	djvulibre

%description
YAGF is a graphical interface for cuneiform and tesseract text recognition
tools on the Linux platform. With YAGF you can scan images via XSane, import
pages from PDF documents, perform images preprocessing and recognize texts
using cuneiform from a single command center. YAGF also makes it easy to scan
and recognize several images sequentially.

%prep
%setup -q
cp -f %{SOURCE1} ./
# fix wrong-script-end-of-line-encoding (https://sourceforge.net/p/yagf-ocr/tickets/64)
sed -i 's/\r//' `find ./ -name *.cpp -o -name *.h`

%autopatch -p1

# Substitute missing align.png resource (https://sourceforge.net/p/yagf-ocr/tickets/62)
cp -a src/images/{A,a}lign.png
# fix spurious-executable-perm (https://sourceforge.net/p/yagf-ocr/tickets/60)
chmod -x AUTHORS ChangeLog DESCRIPTION README
chmod -x `find ./ -name *.cpp -o -name *.h -o -name *.c`
# change urls (https://sourceforge.net/p/yagf-ocr/tickets/65)
for file in `find ./ -name *.ts -o -name *.cpp -o -name *.xml -o -name *.1`
do
  sed -i "s|http://symmetrica.net/cuneiform-linux/yagf-en.html|https://yagf-ocr.sourceforge.io|g" $file
  sed -i "s|http://symmetrica.net/cuneiform-linux/yagf-ru.html|https://yagf-ocr.sourceforge.io|g" $file
  sed -i "s|http://code.google.com/p/yagf/issues/list|https://sourceforge.net/p/yagf-ocr/tickets|g" $file
done

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/YAGF.desktop

# install man page
mkdir -p %{buildroot}%{_mandir}/man1
cp -f %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/translations/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_libdir}/%{name}/libxspreload.so
%{_datadir}/applications/YAGF.desktop
%{_datadir}/appdata/YAGF.appdata.xml
%{_mandir}/man1/%{name}*
%doc AUTHORS ChangeLog DESCRIPTION README


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 0.9.5-11.mga10
+ Revision: 2246853
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.9.5-10.mga9
+ Revision: 1842245
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.9.5-9.mga8
+ Revision: 1660332
- Rebuild for new Qt5

* Sat Feb 15 2020 daviddavid <daviddavid> 0.9.5-8.mga8
+ Revision: 1525729
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.9.5-7.mga7
+ Revision: 1385309
- Qt5 Rebuild

* Thu Feb 14 2019 alexl <alexl> 0.9.5-6.mga7
+ Revision: 1366837
- add recommends on djvulibre

* Thu Feb 14 2019 alexl <alexl> 0.9.5-5.mga7
+ Revision: 1366833
- add Chinese
- qt5 branch
- do not crash when specific aspell dictionary is not found
- fix size of main window
- fix cut text in config dialog
- disable depracated online help
- fix broken localization with qt5
- enable Ukrainian
- fix urls
- install man page
- fix wrong-script-end-of-line-encoding
- fix spurious-executable-perm
- use make_build and make_install macros

* Sun Sep 23 2018 umeabot <umeabot> 4.mga7-current
+ Revision: 1302011
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.9.5-3.mga6
+ Revision: 963656
- Mageia 6 Mass Rebuild

* Thu Jul 02 2015 alexl <alexl> 0.9.5-2.mga6
+ Revision: 849477
- substitute missing align.png resource

* Thu Jul 02 2015 alexl <alexl> 0.9.5-1.mga6
+ Revision: 849472
- rediff disable-crop-image-when-loaded.patch
- new url
- fix spurious-executable-perm for docs
- version 0.9.5

* Sat Dec 20 2014 alexl <alexl> 0.9.4.2-5.mga5
+ Revision: 804532
- added workaround for segfault when open image file (disable-crop-image-when-loaded.patch)

* Thu Nov 27 2014 danf <danf> 0.9.4.2-4.mga5
+ Revision: 799678
- Packages the appdata.xml file for software installers

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4.2-3.mga5
+ Revision: 748700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4.2-2.mga5
+ Revision: 690817
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Aug 17 2014 alexl <alexl> 0.9.4.2-1.mga5
+ Revision: 664845
- translated desktop file (i18n-desktop.patch)
- added suggests for poppler, ghostscript, xsane
- updated spec for new version 0.9.4.2

* Mon Jul 21 2014 alexl <alexl> 0.9.3.2-2.mga5
+ Revision: 655329
- optimization for spec file

* Mon Apr 07 2014 alexl <alexl> 0.9.3.2-1.mga5
+ Revision: 612631
- fix Group
- imported package yagf

